#
# spec file for package perl-Number-Format
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Number-Format
Version:        1.75
Release:        bp154.1.19
%define cpan_name Number-Format
Summary:        Perl extension for formatting numbers
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Number-Format/
Source0:        http://www.cpan.org/authors/id/W/WR/WRW/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
These functions provide an easy means of formatting numbers in a manner
suitable for displaying to the user.

There are two ways to use this package. One is to declare an object of type
Number::Format, which you can think of as a formatting engine. The various
functions defined here are provided as object methods. The constructor
'new()' can be used to set the parameters of the formatting engine. Valid
parameters are:

  THOUSANDS_SEP     - character inserted between groups of 3 digits
  DECIMAL_POINT     - character separating integer and fractional parts
  MON_THOUSANDS_SEP - like THOUSANDS_SEP, but used for format_price
  MON_DECIMAL_POINT - like DECIMAL_POINT, but used for format_price
  INT_CURR_SYMBOL   - character(s) denoting currency (see format_price())
  DECIMAL_DIGITS    - number of digits to the right of dec point (def 2)
  DECIMAL_FILL      - boolean; whether to add zeroes to fill out decimal
  NEG_FORMAT        - format to display negative numbers (def ``-x'')
  KILO_SUFFIX       - suffix to add when format_bytes formats kilobytes (trad)
  MEGA_SUFFIX       -    "    "  "    "        "         "    megabytes (trad)
  GIGA_SUFFIX       -    "    "  "    "        "         "    gigabytes (trad)
  KIBI_SUFFIX       - suffix to add when format_bytes formats kibibytes (iec)
  MEBI_SUFFIX       -    "    "  "    "        "         "    mebibytes (iec)
  GIBI_SUFFIX       -    "    "  "    "        "         "    gibibytes (iec)

They may be specified in upper or lower case, with or without a leading
hyphen ( - ).

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f -print0 | xargs -0 chmod 644

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc CHANGES README TODO

%changelog
* Mon Jun 29 2015 coolo@suse.com
- updated to 1.75
  see /usr/share/doc/packages/perl-Number-Format/CHANGES
  Changes for version 1.75 (June 25, 2015)
  - -----------------------
  - Export only necessary from POSIX (RT#99970, thanks Alexandr Ciornii)
  - Upgrade Makefile.PL (thanks Alexandr Ciornii)
  - Fix testing issue with missing locales (RT 97607, 97766, thanks to KHW)
    (thanks David Solimano)
  - Fix testing issue with bad Russian data on some platforms (RT 92666)
    (thanks David Solimano)
  - Add t/bigfloat.t (thanks Paul Miller / Alexandr Ciornii)
  Changes for version 1.74 (April 19, 2011)
  - -----------------------
  - Only Perl 5.10.0 and newer supported
  - Allow multi-character (e.g. "&nbsp;" for thousands_sep) (thanks
    Nick Patch; RT 65489)
  - Strip out illegal negative values returned by localeconv(),
    observed on Windows - see @IGNORE_NEGATIVE (thanks Adam Kennedy;
    RT 56802)
  - Manage warnings when undef is passed to methods (RT 48038)
  - Fix round() for Math::BigFloat objects (RT 62059)
* Thu Jan 17 2013 cfarrell@suse.com
- license update: Artistic-1.0 or GPL-1.0+
  See the bottom of README
* Thu Dec  6 2012 mopp@gmx.net
- removed perl-macros for openSUSE 11.4 and higher.
* Mon Aug 22 2011 lars@linux-schulserver.de
- update to 1.73
  + Add support for IEC60027 (Ki, Mi, Gi prefixes) with mode option
  + Minor tweak to format_bytes test for German locales
  + many bug fixes
  + for more details, please see:
  /usr/share/doc/packages/perl-Number-Format/CHANGES
- specfile rebuild via cpanspec
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Tue Oct 19 2010 coolo@novell.com
- add perl as explicit buildrequire
